package py.com.roshka.fragment_v001a.fragments

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import kotlinx.android.synthetic.main.modelo_pagina_con_imagenes.*
import py.com.roshka.fragment_v001a.R
import py.com.roshka.fragment_v001a.modelo.ModeloNoticia

class FragmentPagina : Fragment() {

    lateinit var noticia : ModeloNoticia

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?,
                              savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.modelo_pagina_con_imagenes, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        textoTitulo.text = noticia.tituloNoticia
        textoCuerpo.text = noticia.cuerpoNoticia
        imagenPagina.setImageResource(noticia.imagenNoticia)
    }

}